Index: code/branches/cpp11_v2/src/libraries/core/ApplicationPaths.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/ApplicationPaths.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/ApplicationPaths.cc	(revision 10768)
@@ -68,5 +68,5 @@
 
     //! Static pointer to the singleton
-    ApplicationPaths* ApplicationPaths::singletonPtr_s  = 0;
+    ApplicationPaths* ApplicationPaths::singletonPtr_s  = nullptr;
 
     ApplicationPaths::ApplicationPaths()
Index: code/branches/cpp11_v2/src/libraries/core/BaseObject.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/BaseObject.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/BaseObject.cc	(revision 10768)
@@ -65,7 +65,7 @@
         this->bRegisteredEventStates_ = false;
 
-        this->lastLoadedXMLElement_ = 0;
-
-        this->mainStateFunctor_ = 0;
+        this->lastLoadedXMLElement_ = nullptr;
+
+        this->mainStateFunctor_ = nullptr;
 
         if (context)
@@ -86,5 +86,5 @@
         else
         {
-            this->file_ = 0;
+            this->file_ = nullptr;
             this->sceneID_ = OBJECTID_UNKNOWN;
         }
@@ -132,5 +132,5 @@
         XMLPortObject(BaseObject, BaseObject, "eventlisteners", addEventListener, getEventListener, xmlelement, mode);
 
-        Element* events = 0;
+        Element* events = nullptr;
         if (mode == XMLPort::LoadObject || mode == XMLPort::ExpandObject)
             events = xmlelement.FirstChildElement("events", false);
@@ -240,5 +240,5 @@
             i++;
         }
-        return 0;
+        return nullptr;
     }
 
@@ -278,5 +278,5 @@
             ++i;
         }
-        return 0;
+        return nullptr;
     }
 
@@ -302,5 +302,5 @@
             ++i;
         }
-        return 0;
+        return nullptr;
     }
 
@@ -331,5 +331,5 @@
             return (it->second);
         else
-            return 0;
+            return nullptr;
     }
 
@@ -423,5 +423,5 @@
     void BaseObject::changedMainStateName()
     {
-        this->mainStateFunctor_ = 0;
+        this->mainStateFunctor_ = nullptr;
 
         if (!this->mainStateName_.empty())
Index: code/branches/cpp11_v2/src/libraries/core/BaseObject.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/BaseObject.h	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/BaseObject.h	(revision 10768)
@@ -218,5 +218,5 @@
             bool                       bInitialized_;          //!< True if the object was initialized (passed the object registration)
             const XMLFile*             file_;                  //!< The XMLFile that loaded this object
-            Element*                   lastLoadedXMLElement_;  //!< Non 0 if the TinyXML attributes have already been copied to our own lowercase map
+            Element*                   lastLoadedXMLElement_;  //!< Non nullptr if the TinyXML attributes have already been copied to our own lowercase map
             std::map<std::string, std::string> xmlAttributes_; //!< Lowercase XML attributes
             std::string                loaderIndentation_;     //!< Indentation of the debug output in the Loader
Index: code/branches/cpp11_v2/src/libraries/core/ClassTreeMask.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/ClassTreeMask.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/ClassTreeMask.cc	(revision 10768)
@@ -207,5 +207,5 @@
             return ((*this->nodes_.top().first) == compare);
         else
-            return (compare == 0);
+            return (compare == nullptr);
     }
 
@@ -218,5 +218,5 @@
             return ((*this->nodes_.top().first) != compare);
         else
-            return (compare != 0);
+            return (compare != nullptr);
     }
 
Index: code/branches/cpp11_v2/src/libraries/core/ClassTreeMask.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/ClassTreeMask.h	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/ClassTreeMask.h	(revision 10768)
@@ -211,5 +211,5 @@
             inline const ClassTreeMask& begin() const { return (*this); }
             /// End of the ClassTreeMaskObjectIterator.
-            inline BaseObject*          end()   const { return 0; }
+            inline BaseObject*          end()   const { return nullptr; }
 
             ClassTreeMask& operator=(const ClassTreeMask& other);
@@ -285,7 +285,7 @@
 
             /// Returns true if the ClassTreeMaskObjectIterator points at the given object.
-            inline bool operator==(BaseObject* pointer) const { return (this->objectIterator_ && (*this->objectIterator_) == pointer) || (!this->objectIterator_ && pointer == 0); }
+            inline bool operator==(BaseObject* pointer) const { return (this->objectIterator_ && (*this->objectIterator_) == pointer) || (!this->objectIterator_ && pointer == nullptr); }
             /// Returns true if the ClassTreeMaskObjectIterator doesn't point at the given object.
-            inline bool operator!=(BaseObject* pointer) const { return (this->objectIterator_ && (*this->objectIterator_) != pointer) || (!this->objectIterator_ && pointer != 0); }
+            inline bool operator!=(BaseObject* pointer) const { return (this->objectIterator_ && (*this->objectIterator_) != pointer) || (!this->objectIterator_ && pointer != nullptr); }
             /// Returns true if the ClassTreeMaskObjectIterator hasn't already reached the end.
             inline operator bool() const { return (this->objectIterator_); }
Index: code/branches/cpp11_v2/src/libraries/core/ConfigurablePaths.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/ConfigurablePaths.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/ConfigurablePaths.cc	(revision 10768)
@@ -67,5 +67,5 @@
 
     //! Static pointer to the singleton
-    ConfigurablePaths* ConfigurablePaths::singletonPtr_s  = 0;
+    ConfigurablePaths* ConfigurablePaths::singletonPtr_s  = nullptr;
 
     SetCommandLineArgument(externalDataPath, "").information("Path to the external data files");
Index: code/branches/cpp11_v2/src/libraries/core/Core.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/Core.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/Core.cc	(revision 10768)
@@ -83,5 +83,5 @@
 {
     //! Static pointer to the singleton
-    Core* Core::singletonPtr_s  = 0;
+    Core* Core::singletonPtr_s  = nullptr;
 
     SetCommandLineArgument(settingsFile, "orxonox.ini").information("THE configuration file");
Index: code/branches/cpp11_v2/src/libraries/core/GUIManager.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/GUIManager.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/GUIManager.cc	(revision 10768)
@@ -248,5 +248,5 @@
     static CEGUI::MouseButton convertButton(MouseButtonCode::ByEnum button);
 
-    GUIManager* GUIManager::singletonPtr_s = 0;
+    GUIManager* GUIManager::singletonPtr_s = nullptr;
     /*static*/ const std::string GUIManager::defaultScheme_ = "TaharezGreen"; //Alternative: Orxonox (not fully complete yet, see the graphics menu)
 
@@ -337,5 +337,5 @@
         // Create the CEGUI system singleton
 #ifdef ORXONOX_OLD_CEGUI
-        guiSystem_ = new System(guiRenderer_, resourceProvider_, 0, scriptModule_);
+        guiSystem_ = new System(guiRenderer_, resourceProvider_, nullptr, scriptModule_);
         // Add functions that have been renamed in newer versions
         luaState_->doString("CEGUI.SchemeManager.create = CEGUI.SchemeManager.loadScheme");
@@ -343,5 +343,5 @@
         luaState_->doString("CEGUI.ImagesetManager.createFromImageFile= CEGUI.ImagesetManager.createImagesetFromImageFile");
 #else
-        guiSystem_ = &System::create(*guiRenderer_, resourceProvider_, 0, imageCodec_, scriptModule_);
+        guiSystem_ = &System::create(*guiRenderer_, resourceProvider_, nullptr, imageCodec_, scriptModule_);
 #endif
 
@@ -468,5 +468,5 @@
 #ifdef ORXONOX_OLD_CEGUI
         if (camera == nullptr)
-            this->guiRenderer_->setTargetSceneManager(0);
+            this->guiRenderer_->setTargetSceneManager(nullptr);
         else
             this->guiRenderer_->setTargetSceneManager(camera->getSceneManager());
Index: code/branches/cpp11_v2/src/libraries/core/GUIManager.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/GUIManager.h	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/GUIManager.h	(revision 10768)
@@ -135,5 +135,5 @@
         inline void setPlayer(const std::string& guiname, PlayerInfo* player)
             { this->players_[guiname] = player; }
-        inline orxonox::PlayerInfo* getPlayer(const std::string& guiname) const { std::map<std::string, PlayerInfo*>::const_iterator it = this->players_.find(guiname); return (it != this->players_.end()) ? it->second : 0; } // tolua_export
+        inline orxonox::PlayerInfo* getPlayer(const std::string& guiname) const { std::map<std::string, PlayerInfo*>::const_iterator it = this->players_.find(guiname); return (it != this->players_.end()) ? it->second : nullptr; } // tolua_export
 
         // TODO: Temporary hack because the tolua exported CEGUI method does not seem to work
Index: code/branches/cpp11_v2/src/libraries/core/Game.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/Game.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/Game.cc	(revision 10768)
@@ -66,5 +66,5 @@
 
     std::map<std::string, GameStateInfo> Game::gameStateDeclarations_s;
-    Game* Game::singletonPtr_s = 0;
+    Game* Game::singletonPtr_s = nullptr;
 
     //! Represents one node of the game state tree.
Index: code/branches/cpp11_v2/src/libraries/core/GraphicsManager.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/GraphicsManager.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/GraphicsManager.cc	(revision 10768)
@@ -93,5 +93,5 @@
     };
 
-    GraphicsManager* GraphicsManager::singletonPtr_s = 0;
+    GraphicsManager* GraphicsManager::singletonPtr_s = nullptr;
 
     RegisterAbstractClass(GraphicsManager).inheritsFrom<Configurable>();
@@ -99,6 +99,6 @@
     GraphicsManager::GraphicsManager(bool bLoadRenderer)
         : ogreWindowEventListener_(new OgreWindowEventListener())
-        , renderWindow_(0)
-        , viewport_(0)
+        , renderWindow_(nullptr)
+        , viewport_(nullptr)
         , lastFrameStartTime_(0.0f)
         , lastFrameEndTime_(0.0f)
@@ -304,5 +304,5 @@
         //       But in our case we only have one viewport for now anyway, therefore
         //       no ScopeGuards or anything to handle exceptions.
-        this->viewport_ = this->renderWindow_->addViewport(0, 0);
+        this->viewport_ = this->renderWindow_->addViewport(nullptr, 0);
 
         Ogre::TextureManager::getSingleton().setDefaultNumMipmaps(Ogre::MIP_UNLIMITED);
@@ -312,5 +312,5 @@
         HWND hwnd;
         this->renderWindow_->getCustomAttribute("WINDOW", (void*)&hwnd);
-        LONG iconID = (LONG)LoadIcon(GetModuleHandle(0), MAKEINTRESOURCE(101));
+        LONG iconID = (LONG)LoadIcon(GetModuleHandle(nullptr), MAKEINTRESOURCE(101));
         SetClassLong(hwnd, GCL_HICON, iconID);
 #endif
Index: code/branches/cpp11_v2/src/libraries/core/Language.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/Language.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/Language.cc	(revision 10768)
@@ -88,5 +88,5 @@
     // ###############################
 
-    Language* Language::singletonPtr_s = 0;
+    Language* Language::singletonPtr_s = nullptr;
 
     /**
Index: code/branches/cpp11_v2/src/libraries/core/Loader.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/Loader.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/Loader.cc	(revision 10768)
@@ -48,5 +48,5 @@
 namespace orxonox
 {
-    Loader* Loader::singletonPtr_s = 0;
+    Loader* Loader::singletonPtr_s = nullptr;
 
     /**
Index: code/branches/cpp11_v2/src/libraries/core/Namespace.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/Namespace.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/Namespace.cc	(revision 10768)
@@ -109,5 +109,5 @@
     const BaseObject* Namespace::saveObjects(unsigned int index) const
     {
-        return 0; // todo
+        return nullptr; // todo
     }
 
Index: code/branches/cpp11_v2/src/libraries/core/NamespaceNode.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/NamespaceNode.h	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/NamespaceNode.h	(revision 10768)
@@ -46,5 +46,5 @@
     {
         public:
-            NamespaceNode(const std::string& name, NamespaceNode* parent = 0);
+            NamespaceNode(const std::string& name, NamespaceNode* parent = nullptr);
             ~NamespaceNode();
 
Index: code/branches/cpp11_v2/src/libraries/core/Template.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/Template.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/Template.cc	(revision 10768)
@@ -49,5 +49,5 @@
         this->bLoadDefaults_ = true;
         this->bIsReturningXMLElement_ = false;
-        this->baseclassIdentifier_ = 0;
+        this->baseclassIdentifier_ = nullptr;
     }
 
@@ -176,5 +176,5 @@
         {
             orxout(internal_warning, context::templates) << "Template with name " << name << " doesn't exist." << endl;
-            return 0;
+            return nullptr;
         }
     }
Index: code/branches/cpp11_v2/src/libraries/core/Thread.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/Thread.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/Thread.cc	(revision 10768)
@@ -48,5 +48,5 @@
 
     Thread::Thread():
-        executor_(0),
+        executor_(nullptr),
         isWorking_(false),
         stopThread_(false)
@@ -102,5 +102,5 @@
                 (*executor)();
                 this->executorMutex_->lock();
-                this->executor_ = 0;
+                this->executor_ = nullptr;
                 this->executorMutex_->unlock();
                 this->isWorkingMutex_->lock();
Index: code/branches/cpp11_v2/src/libraries/core/ThreadWin.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/ThreadWin.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/ThreadWin.cc	(revision 10768)
@@ -45,5 +45,5 @@
 
     Thread::Thread():
-        executor_(0),
+        executor_(nullptr),
         isWorking_(false),
         stopThread_(false)
@@ -101,5 +101,5 @@
 //                 (*executor)();
 //                 this->executorMutex_->lock();
-//                 this->executor_ = 0;
+//                 this->executor_ = nullptr;
 //                 this->executorMutex_->unlock();
 //                 this->isWorkingMutex_->lock();
Index: code/branches/cpp11_v2/src/libraries/core/XMLPort.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/XMLPort.h	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/XMLPort.h	(revision 10768)
@@ -245,5 +245,5 @@
             return my_added_objects[index];
           else
-            return 0;
+            return nullptr;
         }
       @endcode
@@ -399,5 +399,5 @@
                             // Iterate through the attributes manually in order to make them case insensitive
                             ticpp::Attribute* attribute = xmlelement.FirstAttribute(false);
-                            while (attribute != 0)
+                            while (attribute != nullptr)
                             {
                                 this->owner_->xmlAttributes_[getLowercase(attribute->Name())] = attribute->Value();
Index: code/branches/cpp11_v2/src/libraries/core/class/Identifiable.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/class/Identifiable.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/class/Identifiable.cc	(revision 10768)
@@ -48,5 +48,5 @@
     Identifiable::Identifiable()
     {
-        this->identifier_ = 0;
+        this->identifier_ = nullptr;
         this->objectPointers_.reserve(6); // Optimisation
 
Index: code/branches/cpp11_v2/src/libraries/core/class/Identifier.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/class/Identifier.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/class/Identifier.cc	(revision 10768)
@@ -117,5 +117,5 @@
             orxout(user_error) << "Aborting..." << endl;
             abort();
-            return 0;
+            return nullptr;
         }
     }
@@ -393,5 +393,5 @@
             return it->second;
         else
-            return 0;
+            return nullptr;
     }
 
@@ -407,5 +407,5 @@
             return it->second;
         else
-            return 0;
+            return nullptr;
     }
 
@@ -438,5 +438,5 @@
             return it->second;
         else
-            return 0;
+            return nullptr;
     }
 
Index: code/branches/cpp11_v2/src/libraries/core/class/Identifier.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/class/Identifier.h	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/class/Identifier.h	(revision 10768)
@@ -56,5 +56,5 @@
     object->getIdentifier()->getName();                                         // returns "MyClass"
 
-    Identifiable* other = object->getIdentifier()->fabricate(0);                // fabricates a new instance of MyClass
+    Identifiable* other = object->getIdentifier()->fabricate(nullptr);                // fabricates a new instance of MyClass
 
 
@@ -137,5 +137,5 @@
 
             /// Returns true if the Identifier has a Factory.
-            inline bool hasFactory() const { return (this->factory_ != 0); }
+            inline bool hasFactory() const { return (this->factory_ != nullptr); }
 
             Identifiable* fabricate(Context* context);
@@ -297,5 +297,5 @@
 
             virtual bool canDynamicCastObjectToIdentifierClass(Identifiable* object) const
-                { return dynamic_cast<T*>(object) != 0; }
+                { return dynamic_cast<T*>(object) != nullptr; }
 
             virtual void destroyObjects();
@@ -408,5 +408,5 @@
     void ClassIdentifier<T>::destroyObjects()
     {
-        this->destroyObjects((T*)0);
+        this->destroyObjects((T*)nullptr);
     }
 
Index: code/branches/cpp11_v2/src/libraries/core/class/IdentifierManager.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/class/IdentifierManager.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/class/IdentifierManager.cc	(revision 10768)
@@ -44,5 +44,5 @@
 namespace orxonox
 {
-    IdentifierManager* IdentifierManager::singletonPtr_s = 0;
+    IdentifierManager* IdentifierManager::singletonPtr_s = nullptr;
 
     IdentifierManager::IdentifierManager()
@@ -221,5 +221,5 @@
             return it->second;
         else
-            return 0;
+            return nullptr;
     }
 
@@ -235,5 +235,5 @@
             return it->second;
         else
-            return 0;
+            return nullptr;
     }
 
@@ -249,5 +249,5 @@
             return it->second;
         else
-            return 0;
+            return nullptr;
     }
 
@@ -263,5 +263,5 @@
             if ((*it)->getTypeInfo() == typeInfo)
                 return (*it);
-        return 0;
+        return nullptr;
     }
 
Index: code/branches/cpp11_v2/src/libraries/core/class/SubclassIdentifier.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/class/SubclassIdentifier.h	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/class/SubclassIdentifier.h	(revision 10768)
@@ -189,5 +189,5 @@
                     orxout(user_error) << "Aborting..." << endl;
                     abort();
-                    return 0;
+                    return nullptr;
                 }
             }
Index: code/branches/cpp11_v2/src/libraries/core/class/Super.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/class/Super.h	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/class/Super.h	(revision 10768)
@@ -94,5 +94,5 @@
             static void superCheck() \
             { \
-                SuperFunctionCondition<functionnumber, T, 0, templatehack2>::apply(static_cast<T*>(0)); \
+                SuperFunctionCondition<functionnumber, T, 0, templatehack2>::apply(static_cast<T*>(nullptr)); \
                 SuperFunctionCondition<functionnumber + 1, T, 0, templatehack2>::superCheck(); \
             } \
@@ -108,5 +108,5 @@
                     { \
                         delete ((ClassIdentifier<T>*)(*it))->superFunctionCaller_##functionname##_; \
-                        ((ClassIdentifier<T>*)(*it))->superFunctionCaller_##functionname##_ = 0; \
+                        ((ClassIdentifier<T>*)(*it))->superFunctionCaller_##functionname##_ = nullptr; \
                         ((ClassIdentifier<T>*)(*it))->bSuperFunctionCaller_##functionname##_isFallback_ = false; \
                     } \
@@ -154,5 +154,5 @@
                 // This call to the apply-function is the whole check. By calling the function with
                 // a T* pointer, the right function get's called.
-                SuperFunctionCondition<functionnumber, T, 0, templatehack2>::apply(static_cast<T*>(0));
+                SuperFunctionCondition<functionnumber, T, 0, templatehack2>::apply(static_cast<T*>(nullptr));
 
                 // Go go the superCheck for of next super-function (functionnumber + 1)
@@ -178,5 +178,5 @@
                         // Delete the fallback caller an prepare to get a real caller
                         delete ((ClassIdentifier<T>*)(*it))->superFunctionCaller_##functionname##_;
-                        ((ClassIdentifier<T>*)(*it))->superFunctionCaller_##functionname##_ = 0;
+                        ((ClassIdentifier<T>*)(*it))->superFunctionCaller_##functionname##_ = nullptr;
                         ((ClassIdentifier<T>*)(*it))->bSuperFunctionCaller_##functionname##_isFallback_ = false;
                     }
Index: code/branches/cpp11_v2/src/libraries/core/command/CommandEvaluation.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/command/CommandEvaluation.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/command/CommandEvaluation.cc	(revision 10768)
@@ -54,6 +54,6 @@
     void CommandEvaluation::initialize(const std::string& command)
     {
-        this->execCommand_ = 0;
-        this->hintCommand_ = 0;
+        this->execCommand_ = nullptr;
+        this->hintCommand_ = nullptr;
         this->string_ = command;
         this->execArgumentsOffset_ = 0;
Index: code/branches/cpp11_v2/src/libraries/core/command/CommandEvaluation.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/command/CommandEvaluation.h	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/command/CommandEvaluation.h	(revision 10768)
@@ -86,5 +86,5 @@
 
             int execute();
-            MultiType query(int* error = 0);
+            MultiType query(int* error = nullptr);
 
             std::string complete();
@@ -97,5 +97,5 @@
             /// Returns true if the command evaluation contains a valid command that can be executed.
             inline bool isValid() const
-                { return (this->execCommand_ != 0); }
+                { return (this->execCommand_ != nullptr); }
 
             /// Returns the console command that was evaluated by this object.
Index: code/branches/cpp11_v2/src/libraries/core/command/CommandExecutor.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/command/CommandExecutor.h	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/command/CommandExecutor.h	(revision 10768)
@@ -113,6 +113,6 @@
             static int execute(const std::string& command, bool useTcl = true, bool printErrors = true); // tolua_export
 
-            static MultiType queryMT(const std::string& command, int* error = 0, bool useTcl = true);
-            static std::string query(const std::string& command, int* error = 0, bool useTcl = true); // tolua_export
+            static MultiType queryMT(const std::string& command, int* error = nullptr, bool useTcl = true);
+            static std::string query(const std::string& command, int* error = NULL, bool useTcl = true); // tolua_export
 
             static CommandEvaluation evaluate(const std::string& command);
Index: code/branches/cpp11_v2/src/libraries/core/command/ConsoleCommand.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/command/ConsoleCommand.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/command/ConsoleCommand.cc	(revision 10768)
@@ -76,5 +76,5 @@
 
         for (size_t i = 0; i < MAX_FUNCTOR_ARGUMENTS; ++i)
-            this->argumentCompleter_[i] = 0;
+            this->argumentCompleter_[i] = nullptr;
 
         this->keybindMode_ = KeybindMode::OnPress;
@@ -353,5 +353,5 @@
     {
         if (this->executor_)
-            this->executor_->setFunctor(0);
+            this->executor_->setFunctor(nullptr);
         this->objectStack_.clear();
     }
@@ -405,5 +405,5 @@
     void ConsoleCommand::popObject()
     {
-        void* newobject = 0;
+        void* newobject = nullptr;
         if (!this->objectStack_.empty())
         {
@@ -422,5 +422,5 @@
             return this->executor_->getFunctor()->getRawObjectPointer();
         else
-            return 0;
+            return nullptr;
     }
 
@@ -528,5 +528,5 @@
             return this->argumentCompleter_[index];
         else
-            return 0;
+            return nullptr;
     }
 
Index: code/branches/cpp11_v2/src/libraries/core/command/ConsoleCommandManager.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/command/ConsoleCommandManager.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/command/ConsoleCommandManager.cc	(revision 10768)
@@ -39,5 +39,5 @@
 namespace orxonox
 {
-    ConsoleCommandManager* ConsoleCommandManager::singletonPtr_s = 0;
+    ConsoleCommandManager* ConsoleCommandManager::singletonPtr_s = nullptr;
 
     /**
@@ -68,5 +68,5 @@
                 orxout(internal_error, context::commands) << "Couldn't find console command with group \"" << group << "\" and name \"" << name << "\"" << endl;
         }
-        return 0;
+        return nullptr;
     }
 
@@ -101,5 +101,5 @@
                 orxout(internal_error, context::commands) << "Couldn't find console command with group \"" << group << "\" and name \"" << name << "\"" << endl;
         }
-        return 0;
+        return nullptr;
     }
 
@@ -125,5 +125,5 @@
 
         // check if a command with this name already exists
-        if (this->getCommand(group, name) != 0)
+        if (this->getCommand(group, name) != nullptr)
         {
             if (group == "")
Index: code/branches/cpp11_v2/src/libraries/core/command/Executor.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/command/Executor.h	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/command/Executor.h	(revision 10768)
@@ -121,8 +121,8 @@
                 { return (*this->functor_)(arg1, arg2, arg3, arg4, arg5); }
 
-            MultiType parse(const std::string& arguments, int* error = 0, const std::string& delimiter = " ", bool bPrintError = false) const;
-            MultiType parse(const SubString& arguments, int* error = 0, const std::string& delimiter = " ", bool bPrintError = false) const;
-
-            int evaluateArguments(const SubString& arguments, MultiType arg[MAX_FUNCTOR_ARGUMENTS], int* error = 0, const std::string& delimiter = " ") const;
+            MultiType parse(const std::string& arguments, int* error = nullptr, const std::string& delimiter = " ", bool bPrintError = false) const;
+            MultiType parse(const SubString& arguments, int* error = nullptr, const std::string& delimiter = " ", bool bPrintError = false) const;
+
+            int evaluateArguments(const SubString& arguments, MultiType arg[MAX_FUNCTOR_ARGUMENTS], int* error = nullptr, const std::string& delimiter = " ") const;
 
             /// Changes the functor.
@@ -249,5 +249,5 @@
 
             /// Overloads Executor::parse() with an additional object-pointer.
-            MultiType parse(T* object, const std::string& arguments, int* error = 0, const std::string& delimiter = " ", bool bPrintError = false) const
+            MultiType parse(T* object, const std::string& arguments, int* error = nullptr, const std::string& delimiter = " ", bool bPrintError = false) const
             {
                 T* oldobject = this->functorMember_->getObject();
